Subject: RE: [PWE3] Re: PW-TC-MIB and PW-MIB

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Sun, 30 Oct 2005 17:53:44 +0200

Why?

  _____  

	From: Thomas D. Nadeau [mailto:[email-masked]] 

			[DR] actually RFC 4181 discourages the practice
of placing MIB modules under a subtree other than mib-2. See section
4.5:
			 
			- The value assigned to the MODULE-IDENTITY
descriptor MUST be unique
			     and (for IETF standards-track MIB modules)
SHOULD reside under the
			     mgmt subtree [RFC2578].  Most often it will
be an IANA-assigned
			     value directly under mib-2 [RFC2578],
although for media-specific
			     MIB modules that extend the IF-MIB
[RFC2863] it is customary to use
			     an IANA-assigned value under transmission
[RFC2578].  In the past,
			     some IETF working groups have made their
own assignments from
			     subtrees delegated to them by IANA, but
that practice has proven
			     problematic and is NOT RECOMMENDED.

	    I understand; however, we chose to follow the model
described for
	the MPLS MIB Modules in RFC3811.

	    --Tom

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Sun, 30 Oct 2005 18:04:40 -0500

Because it allows all of the related modules to be grouped  
together,
which seems to make logical sense.

     --Tom

>> [DR] actually RFC 4181 discourages the practice of placing MIB  
>> modules under a subtree other than mib-2. See section 4.5:
>>
>> - The value assigned to the MODULE-IDENTITY descriptor MUST be unique
>>      and (for IETF standards-track MIB modules) SHOULD reside  
>> under the
>>      mgmt subtree [RFC2578].  Most often it will be an IANA-assigned
>>      value directly under mib-2 [RFC2578], although for media- 
>> specific
>>      MIB modules that extend the IF-MIB [RFC2863] it is customary  
>> to use
>>      an IANA-assigned value under transmission [RFC2578].  In the  
>> past,
>>      some IETF working groups have made their own assignments from
>>      subtrees delegated to them by IANA, but that practice has proven
>     I understand; however, we chose to follow the model described for